<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: SPI Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">SPI Exported Constants<div class="ingroups"><a class="el" href="../../da/d7c/group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="../../da/df9/group___m_i_n_i51___s_p_i___driver.html">SPI Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for SPI Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad2_2de0_2group______m__i__n__i51______s__p__i______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
<map name="ad2_2de0_2group______m__i__n__i51______s__p__i______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" id="ad2_2de0_2group______m__i__n__i51______s__p__i______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s">
<area shape="rect" href="../../da/df9/group___m_i_n_i51___s_p_i___driver.html" title=" " alt="" coords="5,5,84,31"/>
<area shape="rect" title=" " alt="" coords="132,5,295,31"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html" title=" " alt="" coords="343,5,503,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">SPI Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1ec07ad94d5f6276c1c0b41d0550fe52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ec07ad94d5f6276c1c0b41d0550fe52">SPI_MODE_0</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga1ec07ad94d5f6276c1c0b41d0550fe52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2af9f45539491c9753960535dc20fde"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2af9f45539491c9753960535dc20fde">SPI_MODE_1</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a7cea5a9206bd5a02138fbba1e311999b">SPI_CNTRL_RX_NEG_Msk</a>)</td></tr>
<tr class="separator:gaf2af9f45539491c9753960535dc20fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fa3edd8616f8803490c93f09243a612"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fa3edd8616f8803490c93f09243a612">SPI_MODE_2</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="el" href="../../de/d94/_mini51_series_8h.html#a7cea5a9206bd5a02138fbba1e311999b">SPI_CNTRL_RX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga8fa3edd8616f8803490c93f09243a612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a091da9f9011457fe28ab25f64c858d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a091da9f9011457fe28ab25f64c858d">SPI_MODE_3</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="el" href="../../de/d94/_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga6a091da9f9011457fe28ab25f64c858d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga943af7f8a98cf5a3f2107ed593215a4b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga943af7f8a98cf5a3f2107ed593215a4b">SPI_SLAVE</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a155074f8afb7fea99251c8279ee0746c">SPI_CNTRL_SLAVE_Msk</a>)</td></tr>
<tr class="separator:ga943af7f8a98cf5a3f2107ed593215a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae09a2779c2d141aa6a8f8be6d78fe210"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae09a2779c2d141aa6a8f8be6d78fe210">SPI_MASTER</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:gae09a2779c2d141aa6a8f8be6d78fe210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81f0aae3c3a2adba06ac3b802b38915a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81f0aae3c3a2adba06ac3b802b38915a">SPI_SS</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>)</td></tr>
<tr class="separator:ga81f0aae3c3a2adba06ac3b802b38915a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bfc94771e6451d3c1eaeb0c4fa5838b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8bfc94771e6451d3c1eaeb0c4fa5838b">SPI_SS_ACTIVE_HIGH</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>)</td></tr>
<tr class="separator:ga8bfc94771e6451d3c1eaeb0c4fa5838b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga67a2045f4f16d45f92fd22075416a7d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a2045f4f16d45f92fd22075416a7d6">SPI_SS_ACTIVE_LOW</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:ga67a2045f4f16d45f92fd22075416a7d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcdee9562fdac3dc6db5dbd67f53b4fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>&#160;&#160;&#160;(0x01)</td></tr>
<tr class="separator:gafcdee9562fdac3dc6db5dbd67f53b4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fec9626224f4bf31a1d318f2fea412c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>&#160;&#160;&#160;(0x04)</td></tr>
<tr class="separator:ga7fec9626224f4bf31a1d318f2fea412c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa0d3769c378f99dc6e3e278b783f449"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>&#160;&#160;&#160;(0x08)</td></tr>
<tr class="separator:gaaa0d3769c378f99dc6e3e278b783f449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga529ec79afe2917ac1973fde46dfedc54"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>&#160;&#160;&#160;(0x10)</td></tr>
<tr class="separator:ga529ec79afe2917ac1973fde46dfedc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac97b9d3efa7af585549c908ec95fbf03"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a>&#160;&#160;&#160;(0x20)</td></tr>
<tr class="separator:gac97b9d3efa7af585549c908ec95fbf03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40af81a5621db7a8b7883fff421a65b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>&#160;&#160;&#160;(0x40)</td></tr>
<tr class="separator:ga40af81a5621db7a8b7883fff421a65b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga529ec79afe2917ac1973fde46dfedc54" name="ga529ec79afe2917ac1973fde46dfedc54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga529ec79afe2917ac1973fde46dfedc54">&#9670;&nbsp;</a></span>SPI_FIFO_RX_INTEN_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_FIFO_RX_INTEN_MASK&#160;&#160;&#160;(0x10)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >FIFO RX interrupt mask </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00048">48</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="gac97b9d3efa7af585549c908ec95fbf03" name="gac97b9d3efa7af585549c908ec95fbf03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac97b9d3efa7af585549c908ec95fbf03">&#9670;&nbsp;</a></span>SPI_FIFO_RXOV_INTEN_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_FIFO_RXOV_INTEN_MASK&#160;&#160;&#160;(0x20)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >FIFO RX overrun interrupt mask </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00049">49</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga40af81a5621db7a8b7883fff421a65b7" name="ga40af81a5621db7a8b7883fff421a65b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga40af81a5621db7a8b7883fff421a65b7">&#9670;&nbsp;</a></span>SPI_FIFO_TIMEOUT_INTEN_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_FIFO_TIMEOUT_INTEN_MASK&#160;&#160;&#160;(0x40)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >FIFO timeout interrupt mask </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00050">50</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="gaaa0d3769c378f99dc6e3e278b783f449" name="gaaa0d3769c378f99dc6e3e278b783f449"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaa0d3769c378f99dc6e3e278b783f449">&#9670;&nbsp;</a></span>SPI_FIFO_TX_INTEN_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_FIFO_TX_INTEN_MASK&#160;&#160;&#160;(0x08)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >FIFO TX interrupt mask </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00047">47</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="gafcdee9562fdac3dc6db5dbd67f53b4fa" name="gafcdee9562fdac3dc6db5dbd67f53b4fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafcdee9562fdac3dc6db5dbd67f53b4fa">&#9670;&nbsp;</a></span>SPI_IE_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_IE_MASK&#160;&#160;&#160;(0x01)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Interrupt enable mask </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00045">45</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="gae09a2779c2d141aa6a8f8be6d78fe210" name="gae09a2779c2d141aa6a8f8be6d78fe210"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae09a2779c2d141aa6a8f8be6d78fe210">&#9670;&nbsp;</a></span>SPI_MASTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MASTER&#160;&#160;&#160;(0x0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set as master </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00039">39</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga1ec07ad94d5f6276c1c0b41d0550fe52" name="ga1ec07ad94d5f6276c1c0b41d0550fe52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1ec07ad94d5f6276c1c0b41d0550fe52">&#9670;&nbsp;</a></span>SPI_MODE_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE_0&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CLKP=0; RX_NEG=0; TX_NEG=1 </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00033">33</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="gaf2af9f45539491c9753960535dc20fde" name="gaf2af9f45539491c9753960535dc20fde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf2af9f45539491c9753960535dc20fde">&#9670;&nbsp;</a></span>SPI_MODE_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE_1&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a7cea5a9206bd5a02138fbba1e311999b">SPI_CNTRL_RX_NEG_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CLKP=0; RX_NEG=1; TX_NEG=0 </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00034">34</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga8fa3edd8616f8803490c93f09243a612" name="ga8fa3edd8616f8803490c93f09243a612"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8fa3edd8616f8803490c93f09243a612">&#9670;&nbsp;</a></span>SPI_MODE_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE_2&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="el" href="../../de/d94/_mini51_series_8h.html#a7cea5a9206bd5a02138fbba1e311999b">SPI_CNTRL_RX_NEG_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CLKP=1; RX_NEG=1; TX_NEG=0 </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00035">35</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga6a091da9f9011457fe28ab25f64c858d" name="ga6a091da9f9011457fe28ab25f64c858d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6a091da9f9011457fe28ab25f64c858d">&#9670;&nbsp;</a></span>SPI_MODE_3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE_3&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="el" href="../../de/d94/_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >CLKP=1; RX_NEG=0; TX_NEG=1 </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00036">36</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga943af7f8a98cf5a3f2107ed593215a4b" name="ga943af7f8a98cf5a3f2107ed593215a4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga943af7f8a98cf5a3f2107ed593215a4b">&#9670;&nbsp;</a></span>SPI_SLAVE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_SLAVE&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a155074f8afb7fea99251c8279ee0746c">SPI_CNTRL_SLAVE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set as slave </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00038">38</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga81f0aae3c3a2adba06ac3b802b38915a" name="ga81f0aae3c3a2adba06ac3b802b38915a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga81f0aae3c3a2adba06ac3b802b38915a">&#9670;&nbsp;</a></span>SPI_SS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_SS&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SS0 </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00041">41</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga8bfc94771e6451d3c1eaeb0c4fa5838b" name="ga8bfc94771e6451d3c1eaeb0c4fa5838b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8bfc94771e6451d3c1eaeb0c4fa5838b">&#9670;&nbsp;</a></span>SPI_SS_ACTIVE_HIGH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_SS_ACTIVE_HIGH&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >SS active high </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00042">42</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga67a2045f4f16d45f92fd22075416a7d6" name="ga67a2045f4f16d45f92fd22075416a7d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga67a2045f4f16d45f92fd22075416a7d6">&#9670;&nbsp;</a></span>SPI_SS_ACTIVE_LOW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_SS_ACTIVE_LOW&#160;&#160;&#160;(0x0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >SS active low </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00043">43</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
<a id="ga7fec9626224f4bf31a1d318f2fea412c" name="ga7fec9626224f4bf31a1d318f2fea412c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7fec9626224f4bf31a1d318f2fea412c">&#9670;&nbsp;</a></span>SPI_SSTA_INTEN_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_SSTA_INTEN_MASK&#160;&#160;&#160;(0x04)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Slave 3-Wire mode start interrupt enable mask </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/spi_8h_source.html#l00046">46</a> of file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
